# PICT to PDF

Convert PICT images to PDF documents.

<p><a href="/images/pict/pict-to-pdf" style="color:rgb(230,0,6);font-weight:600;font-size:0.875rem;text-decoration:none">Try PICT to PDF in the browser &rarr;</a></p>

Convert.FAST uses this same API — what you see in the browser is what you get in code.

## Quick reference

| | |
|---|---|
| **Job type** | `image.pict-to-pdf` |
| **targetFormat** | `pdf` |
| **Category** | images |
| **Input formats** | `.pict`, `.pct` |
| **Output extension** | `.pdf` |
| **Costing** | 1 credit per 5 MB |
| **Max file size** | 1 GB |

## Example

<!-- code-tabs:start default=curl -->
### cURL
```bash
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@photo.pict" \
  -F "targetFormat=pdf" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "photo.pdf"
# → Binary file (application/pdf, 2.5 MB)
```
<!-- code-tabs:end -->

## Options

This converter does not support additional options.

## Cost estimate

<!-- code-tabs:start default=curl -->
### cURL
```bash
curl -sS "https://api.tools.fast/convert/estimate/pict/pdf?fileSizeMb=50"
```
<!-- code-tabs:end -->

## Related

- [PICT to JPG](pict-to-jpg.md)
- [PICT to AVIF](pict-to-avif.md)
- [PICT to TIFF](pict-to-tiff.md)
- [PICT to PNG](pict-to-png.md)
- [PICT to BMP](pict-to-bmp.md)
- [PICT to WEBP](pict-to-webp.md)
